--[[
Author: Starinnia
RealID Toons - Add character information to the BNet alerts your RealID friends generate
This file provides the in-game option screen allowing user customization of the alerts
$Date: 2012-08-30 18:01:19 +0000 (Thu, 30 Aug 2012) $
$Revision: 132 $
Project Version: 2.1.14
contact: codemaster2010 AT gmail DOT com

Copyright (c) 2010-2012 Michael J. Murray aka Lyte of Lothar(US)
All rights reserved unless otherwise explicitly stated.
]]

do
	--give it a slash command
	_G["SlashCmdList"]["REALIDTOONS_MAIN"] = function() InterfaceOptionsFrame_OpenToCategory("RealID Toons") end
	_G["SLASH_REALIDTOONS_MAIN1"] = "/ridt"
	
	--localization
	local L
	local LOCALE = GetLocale()
	if LOCALE ~= "enUS" and LOCALE ~= "enGB" then L = {} end
	
	if LOCALE == "esES" then
		L["$c - Class Name"] = "$c - Nombre de Clase"
		L["$C - Class Name, class colored"] = "$C - Nombre de Clase, coloreado por clase"
-- 		L["Disable Toasts In Combat"] = "Disable Toasts In Combat"
		L["$F - Faction Symbol (always displayed)"] = "$F - Símbolo de Facción (siempre se muestra)"
		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - Símbolo de Facción (solo se muestra cuando es diferente al del jugador, o de otro servidor)"
-- 		L["Format String for Local Logins (same realm/faction):"] = "Format String for Local Logins (same realm/faction):"
		L["$l - Character Level"] = "$l - Nivel del Personaje"
		L["$L - Character Level (colored by level difference)"] = "$L - Nivel de Personaje (coloreado por diferencia de nivel)"
		L["$N - Friend Note (always displayed)"] = "$N - Nota de Amigos (siempre se muestra)"
		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - Nota de Amigos (solo se muestra en las Alertas de Chat)"
-- 		L["Normal Format String:"] = "Normal Format String:"
		L["$r - Character Race"] = "$r - Raza del Personaje"
		L["$S - Realm/Server Name (always displayed)"] = "$S - Nombre de Reino/Servidor (siempre se muestra)"
		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - Nombre del Reino/Servidor (solo se muestra cuando es diferente al del jugador)"
		L["$T - Character Name, class colored"] = "$T - Nombre de Personaje, coloreado por clase"
		L["$t - Character Name, uncolored"] = "$t - Nombre del Personaje, sin color"
-- 		L["The following substitutions are available for the format string:"] = "The following substitutions are available for the format string:"

	elseif LOCALE == "esMX" then
		L["$c - Class Name"] = "$c - Nombre de Clase"
		L["$C - Class Name, class colored"] = "$C - Nombre de Clase, coloreado por clase"
-- 		L["Disable Toasts In Combat"] = "Disable Toasts In Combat"
		L["$F - Faction Symbol (always displayed)"] = "$F - Símbolo de Facción (siempre se muestra)"
		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - Símbolo de Facción (solo se muestra cuando es diferente al del jugador, o de otro servidor)"
-- 		L["Format String for Local Logins (same realm/faction):"] = "Format String for Local Logins (same realm/faction):"
		L["$l - Character Level"] = "$l - Nivel del Personaje"
		L["$L - Character Level (colored by level difference)"] = "$L - Nivel de Personaje (coloreado por diferencia de nivel)"
		L["$N - Friend Note (always displayed)"] = "$N - Nota de Amigos (siempre se muestra)"
		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - Nota de Amigos (solo se muestra en las Alertas de Chat)"
-- 		L["Normal Format String:"] = "Normal Format String:"
		L["$r - Character Race"] = "$r - Raza del Personaje"
		L["$S - Realm/Server Name (always displayed)"] = "$S - Nombre de Reino/Servidor (siempre se muestra)"
		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - Nombre del Reino/Servidor (solo se muestra cuando es diferente al del jugador)"
		L["$T - Character Name, class colored"] = "$T - Nombre de Personaje, coloreado por clase"
		L["$t - Character Name, uncolored"] = "$t - Nombre del Personaje, sin color"
-- 		L["The following substitutions are available for the format string:"] = "The following substitutions are available for the format string:"

	elseif LOCALE == "deDE" then
		L["$c - Class Name"] = "$c - Klasse des Charakters"
		L["$C - Class Name, class colored"] = "$C - Klasse des Charakters, Klassenfärbung"
-- 		L["Disable Toasts In Combat"] = "Disable Toasts In Combat"
		L["$F - Faction Symbol (always displayed)"] = "$F - Fraktions-Symbol (wird immer angezeigt)"
		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - Fraktions-Symbol (wird nur bei Fraktionsunterschied oder anderem Realm/Server angezeigt)"
		L["Format String for Local Logins (same realm/faction):"] = "Formatierung für lokalen Login (selber Realm/selbe Fraktion):"
		L["$l - Character Level"] = "$l - Level des Charakters"
		L["$L - Character Level (colored by level difference)"] = "$L - Level des Charakters (Farbgebung nach Levelunterschied)"
		L["$N - Friend Note (always displayed)"] = "$N - Freund Notiz (wird immer angezeigt)"
		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - Freund Notiz (wird nur in der Chat-Meldung angezeigt)"
		L["Normal Format String:"] = "Allgemeine Formatierung:"
		L["$r - Character Race"] = "$r - Rasse des Charakters"
		L["$S - Realm/Server Name (always displayed)"] = "$S - Realm/Server Name (wird immer angezeigt)"
		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - Realm/Server Name (wird nur bei Fraktionsunterschied angezeigt)"
		L["$T - Character Name, class colored"] = "$T - Name des Charakters, Namensfärbung"
		L["$t - Character Name, uncolored"] = "$t - Name des Charakters, ungefärbt"
		L["The following substitutions are available for the format string:"] = "Folgende Substitutionen sind zur Formatierung verfügbar:"

	elseif LOCALE == "ruRU" then
-- 		L["$c - Class Name"] = "$c - Class Name"
-- 		L["$C - Class Name, class colored"] = "$C - Class Name, class colored"
-- 		L["Disable Toasts In Combat"] = "Disable Toasts In Combat"
-- 		L["$F - Faction Symbol (always displayed)"] = "$F - Faction Symbol (always displayed)"
-- 		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - Faction Symbol (only displayed when different than the player, or from another server)"
-- 		L["Format String for Local Logins (same realm/faction):"] = "Format String for Local Logins (same realm/faction):"
-- 		L["$l - Character Level"] = "$l - Character Level"
-- 		L["$L - Character Level (colored by level difference)"] = "$L - Character Level (colored by level difference)"
-- 		L["$N - Friend Note (always displayed)"] = "$N - Friend Note (always displayed)"
-- 		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - Friend Note (only displayed in Chat Alerts)"
-- 		L["Normal Format String:"] = "Normal Format String:"
-- 		L["$r - Character Race"] = "$r - Character Race"
-- 		L["$S - Realm/Server Name (always displayed)"] = "$S - Realm/Server Name (always displayed)"
-- 		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - Realm/Server Name (only displayed when different than the player's)"
-- 		L["$T - Character Name, class colored"] = "$T - Character Name, class colored"
-- 		L["$t - Character Name, uncolored"] = "$t - Character Name, uncolored"
-- 		L["The following substitutions are available for the format string:"] = "The following substitutions are available for the format string:"

	elseif LOCALE == "frFR" then
-- 		L["$c - Class Name"] = "$c - Class Name"
-- 		L["$C - Class Name, class colored"] = "$C - Class Name, class colored"
-- 		L["Disable Toasts In Combat"] = "Disable Toasts In Combat"
-- 		L["$F - Faction Symbol (always displayed)"] = "$F - Faction Symbol (always displayed)"
-- 		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - Faction Symbol (only displayed when different than the player, or from another server)"
-- 		L["Format String for Local Logins (same realm/faction):"] = "Format String for Local Logins (same realm/faction):"
-- 		L["$l - Character Level"] = "$l - Character Level"
-- 		L["$L - Character Level (colored by level difference)"] = "$L - Character Level (colored by level difference)"
-- 		L["$N - Friend Note (always displayed)"] = "$N - Friend Note (always displayed)"
-- 		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - Friend Note (only displayed in Chat Alerts)"
-- 		L["Normal Format String:"] = "Normal Format String:"
-- 		L["$r - Character Race"] = "$r - Character Race"
-- 		L["$S - Realm/Server Name (always displayed)"] = "$S - Realm/Server Name (always displayed)"
-- 		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - Realm/Server Name (only displayed when different than the player's)"
-- 		L["$T - Character Name, class colored"] = "$T - Character Name, class colored"
-- 		L["$t - Character Name, uncolored"] = "$t - Character Name, uncolored"
-- 		L["The following substitutions are available for the format string:"] = "The following substitutions are available for the format string:"

	elseif LOCALE == "koKR" then
		L["$c - Class Name"] = "$c - 직업"
		L["$C - Class Name, class colored"] = "$C - 직업, 직업 색상화"
		L["Disable Toasts In Combat"] = "전투시 팝업 사용안함" -- Needs review
		L["$F - Faction Symbol (always displayed)"] = "$F - 진영 마크 (항상 표시)"
		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - 진영 마크 (다른 서버나 진영일 경우메나 표시)"
		L["Format String for Local Logins (same realm/faction):"] = "접속 문자열 형식(같은 서버/진영):"
		L["$l - Character Level"] = "$l - 캐릭터 레벨"
		L["$L - Character Level (colored by level difference)"] = "$L - 캐릭터 레벨 (레벨이 다르면 색상화)"
		L["$N - Friend Note (always displayed)"] = "$N - 친구 메모 (항상 표시)"
		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - 친구 메모 (대화 알림시에만 표시)"
		L["Normal Format String:"] = "일반 문자열 형식:"
		L["$r - Character Race"] = "$r - 캐릭터 종족"
		L["$S - Realm/Server Name (always displayed)"] = "$S - 서버 이름 (항상 표시)"
		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - 서버 이름 (플레이어가 다른 서버일 경우에만 표시)"
		L["$T - Character Name, class colored"] = "$T - 캐릭터 이름, 직업 색상화"
		L["$t - Character Name, uncolored"] = "$t - 캐릭터 이름, 색상화 안함"
		L["The following substitutions are available for the format string:"] = "사용 가능한 문자열입니다."

	elseif LOCALE == "zhCN" then
		L["$c - Class Name"] = "$c - 职业名称"
		L["$C - Class Name, class colored"] = "$C - 职业名称，职业颜色"
		L["Disable Toasts In Combat"] = "禁止在战斗中显示"
		L["$F - Faction Symbol (always displayed)"] = "$F - 阵营标志（总是显示）"
		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - 阵营标志（仅当与玩家不同，或者来自于其他服务器时显示）"
		L["Format String for Local Logins (same realm/faction):"] = "本地登录的格式字符串（同一区域/阵营）"
		L["$l - Character Level"] = "$l - 角色等级"
		L["$L - Character Level (colored by level difference)"] = "$F - 角色等级（根据不同等级着色）"
		L["$N - Friend Note (always displayed)"] = "$N - 好友备注（总是显示）"
		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - 好友备注（仅显示于聊天警报）"
		L["Normal Format String:"] = "普通格式字符串"
		L["$r - Character Race"] = "$r - 角色种族"
		L["$S - Realm/Server Name (always displayed)"] = "$S - 区域/服务器名称（总是显示）"
		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - 区域/服务器名字（仅与玩家不用时显示）"
		L["$T - Character Name, class colored"] = "$S - 角色名称，职业着色"
		L["$t - Character Name, uncolored"] = "$t - 角色名称，不着色"
		L["The following substitutions are available for the format string:"] = "以下是可用于替换的格式字符串"

	elseif LOCALE == "zhTW" then
		L["$c - Class Name"] = "$c - 職業名稱"
		L["$C - Class Name, class colored"] = "$C - 職業名稱, 職業著色"
		L["Disable Toasts In Combat"] = "禁止在戰鬥中顯示" -- Needs review
		L["$F - Faction Symbol (always displayed)"] = "$F - 陣營標誌 (總是顯示)"
		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - 陣營標誌 (僅在與玩家不同時, 或來自其他伺服器時顯示)"
		L["Format String for Local Logins (same realm/faction):"] = "本地登入的字串格式(相同領域/陣營)："
		L["$l - Character Level"] = "$l - 角色等級"
		L["$L - Character Level (colored by level difference)"] = "$L - 角色等級 (根據不同等級著色)"
		L["$N - Friend Note (always displayed)"] = "$N - 好友註記 (總是顯示)"
		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - 好友註記 (僅顯示在聊天警報)"
		L["Normal Format String:"] = "一般字串格式："
		L["$r - Character Race"] = "$r - 角色競賽"
		L["$S - Realm/Server Name (always displayed)"] = "$S - 領域/伺服器名稱 (總是顯示)"
		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - 領域/伺服器名稱 (當與玩家的不同時顯示)"
		L["$T - Character Name, class colored"] = "$T - 角色名稱, 職業著色"
		L["$t - Character Name, uncolored"] = "$t - 角色名稱, 不著色"
		L["The following substitutions are available for the format string:"] = "以下是可用於替換格式字符串:"

	elseif LOCALE == "ptBR" then
-- 		L["$c - Class Name"] = "$c - Class Name"
-- 		L["$C - Class Name, class colored"] = "$C - Class Name, class colored"
-- 		L["Disable Toasts In Combat"] = "Disable Toasts In Combat"
-- 		L["$F - Faction Symbol (always displayed)"] = "$F - Faction Symbol (always displayed)"
-- 		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - Faction Symbol (only displayed when different than the player, or from another server)"
-- 		L["Format String for Local Logins (same realm/faction):"] = "Format String for Local Logins (same realm/faction):"
-- 		L["$l - Character Level"] = "$l - Character Level"
-- 		L["$L - Character Level (colored by level difference)"] = "$L - Character Level (colored by level difference)"
-- 		L["$N - Friend Note (always displayed)"] = "$N - Friend Note (always displayed)"
-- 		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - Friend Note (only displayed in Chat Alerts)"
-- 		L["Normal Format String:"] = "Normal Format String:"
-- 		L["$r - Character Race"] = "$r - Character Race"
-- 		L["$S - Realm/Server Name (always displayed)"] = "$S - Realm/Server Name (always displayed)"
-- 		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - Realm/Server Name (only displayed when different than the player's)"
-- 		L["$T - Character Name, class colored"] = "$T - Character Name, class colored"
-- 		L["$t - Character Name, uncolored"] = "$t - Character Name, uncolored"
-- 		L["The following substitutions are available for the format string:"] = "The following substitutions are available for the format string:"

	elseif LOCALE == "itIT" then
-- 		L["$c - Class Name"] = "$c - Class Name"
-- 		L["$C - Class Name, class colored"] = "$C - Class Name, class colored"
-- 		L["Disable Toasts In Combat"] = "Disable Toasts In Combat"
-- 		L["$F - Faction Symbol (always displayed)"] = "$F - Faction Symbol (always displayed)"
-- 		L["$f - Faction Symbol (only displayed when different than the player, or from another server)"] = "$f - Faction Symbol (only displayed when different than the player, or from another server)"
-- 		L["Format String for Local Logins (same realm/faction):"] = "Format String for Local Logins (same realm/faction):"
-- 		L["$l - Character Level"] = "$l - Character Level"
-- 		L["$L - Character Level (colored by level difference)"] = "$L - Character Level (colored by level difference)"
-- 		L["$N - Friend Note (always displayed)"] = "$N - Friend Note (always displayed)"
-- 		L["$n - Friend Note (only displayed in Chat Alerts)"] = "$n - Friend Note (only displayed in Chat Alerts)"
-- 		L["Normal Format String:"] = "Normal Format String:"
-- 		L["$r - Character Race"] = "$r - Character Race"
-- 		L["$S - Realm/Server Name (always displayed)"] = "$S - Realm/Server Name (always displayed)"
-- 		L["$s - Realm/Server Name (only displayed when different than the player's)"] = "$s - Realm/Server Name (only displayed when different than the player's)"
-- 		L["$T - Character Name, class colored"] = "$T - Character Name, class colored"
-- 		L["$t - Character Name, uncolored"] = "$t - Character Name, uncolored"
-- 		L["The following substitutions are available for the format string:"] = "The following substitutions are available for the format string:"

	end
	
	L = setmetatable(L or {}, {__index = function(t, key)
		local value = tostring(key)
		t[key] = value
		return value
	end})
	
	--the actual interface
	local options = CreateFrame("FRAME", nil, InterfaceOptionsFramePanelContainer)
	options:Hide()
	options.name = "RealID Toons"
	InterfaceOptions_AddCategory(options)
	
	local title = options:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("RealID Toons")
	
	local checkBoxTitle = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	checkBoxTitle:SetPoint("TOPLEFT", 16, -42)
	checkBoxTitle:SetText(L["Disable Toasts In Combat"])
	
	local checkBox = CreateFrame("CheckButton", nil, options, "OptionsBaseCheckButtonTemplate")
	checkBox:SetPoint("LEFT", checkBoxTitle, "RIGHT")
	checkBox:SetScript("OnClick", function(frame)
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_HIDE_IC = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_HIDE_IC = nil
			BNet_EnableToasts()
		end
	end)
	
	local formatBoxTitle1 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	formatBoxTitle1:SetPoint("TOPLEFT", 16, -68)
	formatBoxTitle1:SetText(L["Normal Format String:"])
	
	local formatBoxTitle2 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	formatBoxTitle2:SetPoint("TOPLEFT", 16, -110)
	formatBoxTitle2:SetText(L["Format String for Local Logins (same realm/faction):"])
	
	local function clearEditFocus(frame)
		frame:ClearFocus()
	end
	
	local formatBox1 = CreateFrame("EditBox", nil, options, "InputBoxTemplate")
	formatBox1:SetWidth(180)
	formatBox1:SetHeight(19)
	formatBox1:SetPoint("TOPLEFT", 16, -83)
	formatBox1:SetScript("OnEscapePressed", clearEditFocus)
	formatBox1:SetAutoFocus(false)
	
	local formatBox2 = CreateFrame("EditBox", nil, options, "InputBoxTemplate")
	formatBox2:SetWidth(180)
	formatBox2:SetHeight(19)
	formatBox2:SetPoint("TOPLEFT", 16, -126)
	formatBox2:SetScript("OnEscapePressed", clearEditFocus)
	formatBox2:SetAutoFocus(false)
	
	local formatBoxConfirm1 = CreateFrame("BUTTON", nil, options, "UIPanelButtonTemplate")
	formatBoxConfirm1:SetHeight(22)
	formatBoxConfirm1:SetWidth(80)
	formatBoxConfirm1:SetPoint("TOPLEFT", 200, -81)
	formatBoxConfirm1:SetText(ACCEPT)
	formatBoxConfirm1:Hide()
	formatBoxConfirm1:SetScript("OnClick", function(self)
		formatBox1:ClearFocus()
		RID_TOONS_FORMAT = formatBox1:GetText():gsub("||", "|")
		self:Hide()
	end)
	
	local formatBoxConfirm2 = CreateFrame("BUTTON", nil, options, "UIPanelButtonTemplate")
	formatBoxConfirm2:SetHeight(22)
	formatBoxConfirm2:SetWidth(80)
	formatBoxConfirm2:SetPoint("TOPLEFT", 200, -124)
	formatBoxConfirm2:SetText(ACCEPT)
	formatBoxConfirm2:Hide()
	formatBoxConfirm2:SetScript("OnClick", function(self)
		formatBox2:ClearFocus()
		RID_TOONS_LOCALFORMAT = formatBox2:GetText():gsub("||", "|")
		self:Hide()
	end)
	
	formatBox1:SetScript("OnShow", function(self)
		self:SetText(RID_TOONS_FORMAT:gsub("|", "||"))
		formatBoxConfirm1:Hide()
	end)
	formatBox1:SetScript("OnTextChanged", function()
		if not formatBoxConfirm1:IsVisible() then
			formatBoxConfirm1:Show()
		end
	end)
	formatBox2:SetScript("OnShow", function(self)
		self:SetText(RID_TOONS_LOCALFORMAT:gsub("|", "||"))
		formatBoxConfirm2:Hide()
	end)
	formatBox2:SetScript("OnTextChanged", function()
		if not formatBoxConfirm2:IsVisible() then
			formatBoxConfirm2:Show()
		end
	end)
	
	options:SetScript("OnShow", function(frame)
		if RID_TOONS_HIDE_IC then checkBox:SetChecked(true) end
	end)
	
	local START_OFFSET = -160
	local OFFSET_INCREMENT = 16
	local optionsHelpHeader = options:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	optionsHelpHeader:SetPoint("TOPLEFT", 16, START_OFFSET)
	optionsHelpHeader:SetText(L["The following substitutions are available for the format string:"])
	
	local optionsHelp1 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp1:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT))
	optionsHelp1:SetText(L["$t - Character Name, uncolored"])
	
	local optionsHelp2 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp2:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*2))
	optionsHelp2:SetText(L["$T - Character Name, class colored"])
	
	local optionsHelp3 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp3:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*3))
	optionsHelp3:SetText(L["$c - Class Name"])
	
	local optionsHelp4 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp4:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*4))
	optionsHelp4:SetText(L["$C - Class Name, class colored"])
	
	local optionsHelp5 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp5:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*5))
	optionsHelp5:SetWidth(400)
	optionsHelp5:SetHeight(30)
	optionsHelp5:SetJustifyH("LEFT")
	optionsHelp5:SetText(L["$s - Realm/Server Name (only displayed when different than the player's)"])
	
	local optionsHelp6 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp6:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*7))
	optionsHelp6:SetText(L["$S - Realm/Server Name (always displayed)"])
	
	local optionsHelp7 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp7:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*8))
	optionsHelp7:SetWidth(400)
	optionsHelp7:SetHeight(30)
	optionsHelp7:SetJustifyH("LEFT")
	optionsHelp7:SetText(L["$f - Faction Symbol (only displayed when different than the player, or from another server)"])
	
	local optionsHelp8 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp8:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*10))
	optionsHelp8:SetText(L["$F - Faction Symbol (always displayed)"])
	
	local optionsHelp9 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp9:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*11))
	optionsHelp9:SetText(L["$l - Character Level"])
	
	local optionsHelp10 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp10:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*12))
	optionsHelp10:SetText(L["$L - Character Level (colored by level difference)"])
	
	local optionsHelp11 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp11:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*13))
	optionsHelp11:SetText(L["$r - Character Race"])
	
	local optionsHelp12 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp12:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*14))
	optionsHelp12:SetText(L["$n - Friend Note (only displayed in Chat Alerts)"])
	
	local optionsHelp13 = options:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	optionsHelp13:SetPoint("TOPLEFT", 26, START_OFFSET-(OFFSET_INCREMENT*15))
	optionsHelp13:SetText(L["$N - Friend Note (always displayed)"])
end